Bug 1464960 - Group Filters: Selected host is deselected after group saving
Group Filters: Selected host is deselected after group saving
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Zita Nemeckova
Ruslana Babyuk
ui:group
: TestOnly, ZStream
Depends On:
Blocks: 1511528
  Show dependency treegraph
 
Reported: 2017-06-26 06:02 EDT by Ruslana Babyuk
Modified: 2018-01-18 06:48 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.9.0.17
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1511528 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
group_host (62.16 KB, image/png)
2017-06-26 06:02 EDT, Ruslana Babyuk
no flags Details

  None (edit)
Description Ruslana Babyuk 2017-06-26 06:02:58 EDT
Created attachment 1291941 [details]
group_host

Description of problem:
Selected host is deselected after group saving

Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
100%

Steps to Reproduce:
1. Add infrastructure provider
2. Navigate to add group page
3. Switch to 'Host&Clusters' tab
4. Expand the provider tree
5. Check Host(not in cluster)
6. Save group
7. Check checkbox status

Actual results:
Check box is deselected

Expected results:
Check box should be selected after saving

Additional info:
Comment 6 CFME Bot 2018-01-15 09:04:29 EST
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d7c1e5c266e7f5f2af9ccf9d078ba42489a6fba4

commit d7c1e5c266e7f5f2af9ccf9d078ba42489a6fba4
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Jan 15 10:03:19 2018 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 15 09:01:08 2018 -0500

    Merge pull request #3233 from ZitaNemeckova/fix_hac_tree
    
    Fix uncheck of Host in HaC tree
    (cherry picked from commit 25123ab46359e54d837dbb850da77602c734b667)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1464960

 app/controllers/ops_controller/ops_rbac.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.